﻿@page
@model BeamAndGo.Member.Web.Pages.CreateNewRelationshipModel
@{
    ViewData["Title"] = "Create New Relationship";
    if (Model.IsXHR) Layout = null;
    else Layout = "_Layout";
}
<body>
    <div class="uk-margin-small">
        <h3>New Relationship</h3>
        <form asp-page-handler="create" method="post" asp-antiforgery="true" data-ajax-method="post" data-ajax="true" data-ajax-success="createSuccess" data-ajax-failure="createFailed">
            <div class="uk-margin-small">
                <label class="uk-form-label">Relationship Type</label><span class="uk-text-muted uk-text-small"> (Required)</span>
                <select class="uk-select uk-width-1-1 addRelationshipType" id="relationshipType" asp-for="@Model.RelationshipType" required>
                    <option selected value="" disabled>Select Relationship</option>
                    @foreach (var relationshipType in Model.RelationshipTypes)
                    {
                        <option value="@relationshipType.Id|@relationshipType.Gender">@relationshipType.Name</option>
                    }
                </select>
            </div>

            <div class="uk-margin-small uk-grid-small" uk-grid>
                <div class="uk-width-1-3@s">
                    <label class="uk-form-label">First Name</label><span class="uk-text-muted uk-text-small"> (Required)</span>
                    <input asp-for="FormData.FirstName" class="uk-input" id="form-stacked-text" type="text" maxlength="128" required>
                    <span asp-validation-for="FormData.FirstName" class="uk-text-danger uk-text-small"></span>
                </div>

                <div class="uk-width-1-3@s">
                    <label class="uk-form-label">Middle Name</label>
                    <input asp-for="FormData.MiddleName" class="uk-input" id="form-stacked-text" type="text" maxlength="128">
                    <span asp-validation-for="FormData.MiddleName" class="uk-text-danger uk-text-small"></span>
                </div>
                <div class="uk-width-1-3@s">
                    <label class="uk-form-label">Last Name</label><span class="uk-text-muted uk-text-small"> (Required)</span>
                    <input asp-for="FormData.LastName" class="uk-input" id="form-stacked-text" type="text" maxlength="128" required>
                    <span asp-validation-for="FormData.LastName" class="uk-text-danger uk-text-small"></span>
                </div>
            </div>
            <div class="uk-margin-small uk-grid-small" uk-grid>
                <div class="uk-width-1-2@s">
                    <label class="uk-form-label">Birthdate</label>
                    <input asp-for="@Model.RelationshipBirthdate" class="uk-input" type="date" value="@Model.RelationshipBirthdate" min="@Model.MinBirthdate" max="@Model.MaxBirthdate" placeholder="YYYY-MM-DD" />
                    <span asp-validation-for="@Model.RelationshipBirthdate" class="uk-text-danger uk-text-small"></span>
                </div>
                <div class="uk-width-1-2@s">
                    <label asp-for="FormData.Gender" class="uk-form-label"></label>
                    <select class="uk-select" id="createRelationshipGender" asp-for="@Model.FormData.Gender">
                        <option selected value=@null disabled>Select Gender</option>
                        <option value="@(BeamAndGo.Member.GenderType.Female)">Female</option>
                        <option value="@(BeamAndGo.Member.GenderType.Male)">Male</option>
                        <option value="@null">Unspecified</option>
                    </select>
                </div>
            </div>
            <div class="uk-margin-small uk-margin-remove-bottom">
                <label class="uk-form-label">Phone Number</label><span class="uk-text-muted uk-text-small"> (Required)</span>
            </div>
            <div class="uk-margin-small uk-margin-remove-top">
                <input id="rel-phone" class="uk-input phone-padding-left" type="tel" name="Phone" asp-for="FormData.PhoneNumber" required>
                <input type="hidden" id="new-rel-mobile" asp-for="FormData.PhoneNumber">
                <input type="hidden" id="new-rel-calling-code" asp-for="FormData.CallingCode">
            </div>
            <div class="uk-margin-small">
                <label asp-for="FormData.Email" class="uk-form-label"></label>
                <input asp-for="FormData.Email" class="uk-input" type="text" />
                <span asp-validation-for="FormData.Email" class="uk-text-danger uk-text-small"></span>
            </div>
            <div class="uk-margin-small">
                <label class="uk-form-label">Address</label>
                <textarea asp-for="FormData.Street" class="uk-textarea" rows="2" id="form-stacked-text" type="text"></textarea>
                <span asp-validation-for="FormData.Street" class="uk-text-danger uk-text-small"></span>
            </div>

            <div class="uk-margin-small uk-grid-small" uk-grid>
                <div class="uk-width-1-2@s">
                    <label class="uk-form-label">Postal Code</label>
                    <input asp-for="FormData.PostalCode" class="uk-input" type="text" />
                    <span asp-validation-for="FormData.PostalCode" class="uk-text-danger uk-text-small"></span>
                </div>
                <div class="uk-width-1-2@s">
                    <label class="uk-form-label">Country</label>
                    <input id="rel-country-code" class="uk-input" type="text" readonly="readonly">
                    <input type="hidden" id="new-rel-country-code" asp-for="FormData.CountryCode">
                </div>
            </div>
            <div class="uk-margin-small uk-margin-medium-top">
                <button class="uk-button uk-button-primary uk-width-1-1" type="submit">Add New Relationship</button>
            </div>
            <div class="uk-margin-small">
                <button class="uk-button uk-button-default uk-width-1-1  uk-modal-close" type="button">Cancel</button>
            </div>
        </form>
    </div>
</body>
<style>
    .iti {
        width: 100% !important;
    }

    .country-select {
        width: 100% !important;
    }

    .phone-padding-left {
        padding-left: 90px !important;
    }
</style>
<script>
    //Country
    $(document).ready(function () {
        selectedCountry();
    });

     $("#rel-country-code").countrySelect({
        defaultCountry: '@Model.MemberCountryCode.ToLower()',
        preferredCountries: ["au", "ca", "hk", "jp", "my", "ph", "qa", "sa", "sg", "tw", "ae", "us", "gb"],
    });

    function selectedCountry() {
        var country_code = $("#rel-country-code").countrySelect("getSelectedCountryData");
        $("#new-rel-country-code").val(country_code.iso2.toUpperCase());
    }

    $("#rel-country-code").change(function () {
        selectedCountry();
    });

    //Mobile Number
    var input = document.querySelector("#rel-phone");
    var iti = window.intlTelInput(input, {
        autoPlaceholder: "off",
        separateDialCode: true,
        initialCountry: '@Model.MemberCountryCode',
        preferredCountries: ["AU", "CA", "HK", "JP", "MY", "PH", "QA", "SA", "SG", "TW", "AE", "US", "GB"],
        utilsScript:  '@Model.StaticAssetsUrl/js/intl-tel-input/intlTelutils.min.js',
    });

    function handleChange() {
        let country_code = iti.getSelectedCountryData()["dialCode"];
        let number_with_code = iti.getNumber();

        $("#new-rel-mobile").val(number_with_code.replace("+" + country_code, ""));
        $("#new-rel-calling-code").val(country_code.replace("+", ""));
    }

    // Add Relationship
    createSuccess = (xhr) => {
        location.reload();
        showSuccessNotification(xhr);
    };
    createFailed = (xhr) => {
        showErrorNotification(xhr.responseText);
    };

    $(".addRelationshipType").change(function () {
        var str = (this.value);
        var gender = str.split("|")[1];

        $('#createRelationshipGender').val(gender).change();
    });

    input.addEventListener("countrychange", handleChange);
    input.addEventListener('change', handleChange);
    input.addEventListener('keyup', handleChange);

</script>
